# class hk_kdememo

KDE Widget to edit/display long data like text in a field. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdememo.h>`
Inherits | QTextEdit (unknown) [public ], hk_dsmemo [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdememo (QWidget* wid,hk_form* f=NULL)
- ~hk_kdememo ()
- virtual void set_value (const hk_string&)
- virtual hk_string value (void)

#### Public Slots

- void find_clicked (int)
- void find_next (void)
- void findargument_changed (void)

#### Protected Methods

- virtual bool widget_specific_coordinates (uint px,uint py,uint pwidth,uint pheight)
- virtual bool widget_specific_row_change (void)
- virtual void widget_specific_insert_mode (void)
- virtual void widget_specific_row_deleted (void)
- virtual void widget_specific_row_added (void)
- virtual void widget_specific_alignment (void)
- virtual void presentationmode_changed (void)
- bool datasource_disable (void)
- bool datasource_enable (void)
- void datasource_delete (void)
- virtual void widget_specific_font_changed (void)
- virtual void resizeEvent (QResizeEvent *)
- virtual void moveEvent ( QMoveEvent * )
- virtual void widget_specific_backgroundcolour_changed (const hk_colour&)
- virtual void widget_specific_foregroundcolour_changed (const hk_colour&)
- void keyPressEvent ( QKeyEvent * e )
- virtual QPopupMenu* createPopupMenu (const QPoint&)

#### Protected Slots

- void slot_data_changed (void)
- void before_row_change (void)
- void before_store_changed_data (void)
- void slot_mouse_clicked (void)
- void slot_mouse_doubleclicked (void)
- void NULLselected ( int r )

## Detailed Description

Just set the datasource and the column (defined in the parent class hk_dsdatavisible).

hk_kdememo (QWidget* wid,hk_form* f=NULL)

### hk_kdememo

~hk_kdememo ()

### ~hk_kdememo

void set_value (const hk_string&)

### set_value

[virtual]

hk_string value (void)

### value

[virtual]

bool widget_specific_coordinates (uint px,uint py,uint pwidth,uint pheight)

### widget_specific_coordinates

[protected virtual]

bool widget_specific_row_change (void)

### widget_specific_row_change

[protected virtual]

void widget_specific_insert_mode (void)

### widget_specific_insert_mode

[protected virtual]

void widget_specific_row_deleted (void)

### widget_specific_row_deleted

[protected virtual]

void widget_specific_row_added (void)

### widget_specific_row_added

[protected virtual]

void widget_specific_alignment (void)

### widget_specific_alignment

[protected virtual]

void presentationmode_changed (void)

### presentationmode_changed

[protected virtual]

bool datasource_disable (void)

### datasource_disable

[protected]

bool datasource_enable (void)

### datasource_enable

[protected]

void datasource_delete (void)

### datasource_delete

[protected]

void widget_specific_font_changed (void)

### widget_specific_font_changed

[protected virtual]

void resizeEvent (QResizeEvent *)

### resizeEvent

[protected virtual]

void moveEvent ( QMoveEvent * )

### moveEvent

[protected virtual]

void widget_specific_backgroundcolour_changed (const hk_colour&)

### widget_specific_backgroundcolour_changed

[protected virtual]

void widget_specific_foregroundcolour_changed (const hk_colour&)

### widget_specific_foregroundcolour_changed

[protected virtual]

void keyPressEvent ( QKeyEvent * e )

### keyPressEvent

[protected]

QPopupMenu* createPopupMenu (const QPoint&)

### createPopupMenu

[protected virtual]

void slot_data_changed (void)

### slot_data_changed

[protected slots slot]

void before_row_change (void)

### before_row_change

[protected slots slot]

void before_store_changed_data (void)

### before_store_changed_data

[protected slots slot]

void slot_mouse_clicked (void)

### slot_mouse_clicked

[protected slots slot]

void slot_mouse_doubleclicked (void)

### slot_mouse_doubleclicked

[protected slots slot]

void NULLselected ( int r )

### NULLselected

[protected slots slot]

void find_clicked (int)

### find_clicked

[slot]

void find_next (void)

### find_next

[slot]

void findargument_changed (void)

### findargument_changed

[slot]

- Version: $Revision: 1.17 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.